Mailinglist Archive: opensuse-updates (108 mails)

< Previous Next >
openSUSE-SU-2014:0018-1: moderate: update for openssl
openSUSE Security Update: update for openssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0018-1
Rating: moderate
References: #849377 #856687
Cross-References: CVE-2013-6449
Affected Products:
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


- Fixed bnc#856687, openssl: crash when using TLS 1.2 Add
file: CVE-2013-6449.patch

- compression_methods_switch.patch: setenv might not be
successful if a surrounding library or application
filters it, like e.g. sudo. As setenv() does not seem to
be useful anyway, remove it. bnc#849377


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2014-11

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

libopenssl-devel-1.0.1e-2.16.1
libopenssl1_0_0-1.0.1e-2.16.1
libopenssl1_0_0-debuginfo-1.0.1e-2.16.1
openssl-1.0.1e-2.16.1
openssl-debuginfo-1.0.1e-2.16.1
openssl-debugsource-1.0.1e-2.16.1

- openSUSE 12.2 (x86_64):

libopenssl-devel-32bit-1.0.1e-2.16.1
libopenssl1_0_0-32bit-1.0.1e-2.16.1
libopenssl1_0_0-debuginfo-32bit-1.0.1e-2.16.1

- openSUSE 12.2 (noarch):

openssl-doc-1.0.1e-2.16.1


References:

http://support.novell.com/security/cve/CVE-2013-6449.html
https://bugzilla.novell.com/849377
https://bugzilla.novell.com/856687


< Previous Next >
This Thread
  • No further messages